org.apache.log4j.chainsaw

## Class LogFilePatternLayoutBuilder

- java.lang.Object
- - org.apache.log4j.chainsaw.LogFilePatternLayoutBuilder

-     public class LogFilePatternLayoutBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFilePatternLayoutBuilder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map` | `getAppenderConfiguration(File file)`
    `static String` | `getLogFormatFromPatternLayout(String patternLayout)`
    `static Map` | `getPropertiesFileAppenderConfiguration(File propertyFile)`
    `static String` | `getTimeStampFormat(String patternLayout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFilePatternLayoutBuilder

          public LogFilePatternLayoutBuilder()

  - ### Method Detail

    - #### getLogFormatFromPatternLayout

          public static String getLogFormatFromPatternLayout(String patternLayout)

    - #### getTimeStampFormat

          public static String getTimeStampFormat(String patternLayout)

    - #### getAppenderConfiguration

          public static Map getAppenderConfiguration(File file)

    - #### getPropertiesFileAppenderConfiguration

          public static Map getPropertiesFileAppenderConfiguration(File propertyFile)
                                                            throws IOException,
                                                                   ParserConfigurationException,
                                                                   SAXException

      Throws:
        `IOException`
        `ParserConfigurationException`
        `SAXException`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.